diff -r 4994bdb47bfd trytond/modules/dashboard/ir.py
--- a/trytond/modules/dashboard/ir.py	Fri Jun 08 19:34:00 2012 +0200
+++ b/trytond/modules/dashboard/ir.py	Mon Sep 24 20:36:40 2012 +0200
@@ -2,67 +2,62 @@
 #this repository contains the full copyright notices and license terms.
 import math
 from lxml import etree
-from trytond.model import Model
 from trytond.transaction import Transaction
 from trytond.cache import Cache
-from trytond.pool import Pool
+from trytond.pool import Pool, PoolMeta
 
+__all__ = ['View']
+__metaclass__ = PoolMeta
 
-class View(Model):
-    _name = 'ir.ui.view'
 
-    def dashboard_id(self):
+class View:
+    __name__ = 'ir.ui.view'
+    _dashboard_cache = Cache('ir.ui.view.dashboard_id')
+
+    @staticmethod
+    def dashboard_id():
         '''
         Return the database id of view_dashboard
-
-        :param user: the user id
-        :return: an integer
         '''
-        model_data_obj = Pool().get('ir.model.data')
-        model_data_ids = model_data_obj.search([
-            ('fs_id', '=', 'view_dashboard'),
-            ('module', '=', 'dashboard'),
-            ('inherit', '=', None),
-            ], limit=1)
-        if not model_data_ids:
+        ModelData = Pool().get('ir.model.data')
+        models_data = ModelData.search([
+                ('fs_id', '=', 'view_dashboard'),
+                ('module', '=', 'dashboard'),
+                ('inherit', '=', None),
+                ], limit=1)
+        if not models_data:
             return 0
-        model_data = model_data_obj.browse(model_data_ids[0])
+        model_data, = models_data
         return model_data.db_id
 
-    dashboard_id = Cache('ir.ui.view.dashboard_id')(dashboard_id)
-
-    def _dashboard_element_action(self, action):
+    @staticmethod
+    def _dashboard_element_action(action):
         '''
         Return etree Element for the given dashboard action.
-
-        :param action: a BrowseRecord of dashboard.action
-        :return: an etree Element
         '''
         return etree.Element('action', {
-            'name': str(action.act_window.id),
-            })
+                'name': str(action.act_window.id),
+                })
 
-    def dashboard_view(self, arch):
+    @classmethod
+    def dashboard_view(cls, arch):
         '''
         Add action to view arch of dashboard
-
-        :param arch: a string with the xml arch of dashboard
-        :return: a string with the new xml arch
         '''
-        user_obj = Pool().get('res.user')
+        User = Pool().get('res.user')
         tree = etree.fromstring(arch)
         root = tree.getroottree().getroot()
-        user = user_obj.browse(Transaction().user)
+        user = User(Transaction().user)
         if user.dashboard_layout == 'square':
             root.set('col', str(int(math.ceil(math.sqrt(
                 len(user.dashboard_actions))))))
             for action in user.dashboard_actions:
-                root.append(self._dashboard_element_action(action))
+                root.append(cls._dashboard_element_action(action))
         elif user.dashboard_layout == 'stack_right':
             group = None
             root.set('col', '2')
             for action in user.dashboard_actions:
-                element = self._dashboard_element_action(action)
+                element = cls._dashboard_element_action(action)
                 if group is None:
                     root.append(element)
                     group = etree.Element('group', {
@@ -83,7 +78,7 @@
             root.append(group)
             first = True
             for action in user.dashboard_actions:
-                element = self._dashboard_element_action(action)
+                element = cls._dashboard_element_action(action)
                 if first:
                     first = False
                     root.append(element)
@@ -98,7 +93,7 @@
             root.append(group)
             first = True
             for action in user.dashboard_actions:
-                element = self._dashboard_element_action(action)
+                element = cls._dashboard_element_action(action)
                 if first:
                     first = False
                     root.append(element)
@@ -112,7 +107,7 @@
                     })
             first = True
             for action in user.dashboard_actions:
-                element = self._dashboard_element_action(action)
+                element = cls._dashboard_element_action(action)
                 if first:
                     first = False
                     root.append(element)
@@ -122,23 +117,19 @@
         arch = etree.tostring(tree, encoding='utf-8')
         return arch
 
-    def read(self, ids, fields_names=None):
-        res = super(View, self).read(ids, fields_names=fields_names)
+    @classmethod
+    def read(cls, ids, fields_names=None):
+        res = super(View, cls).read(ids, fields_names=fields_names)
         if Transaction().user == 0:
             return res
-        dashboard_id = self.dashboard_id()
+        dashboard_id = cls.dashboard_id()
         if not dashboard_id:
             # Restart the cache
-            self.dashboard_id.reset()
+            cls._dashboard_cache.reset()
         if fields_names is None \
                 or 'arch' in fields_names:
-            if isinstance(ids, (int, long)):
-                if dashboard_id == ids:
-                    res['arch'] = self.dashboard_view(res['arch'])
-            elif dashboard_id in ids:
+            if dashboard_id in ids:
                 for res2 in res:
                     if res2['id'] == dashboard_id:
-                        res2['arch'] = self.dashboard_view(res2['arch'])
+                        res2['arch'] = cls.dashboard_view(res2['arch'])
         return res
-
-View()
diff -r 4994bdb47bfd trytond/modules/dashboard/res.py
--- a/trytond/modules/dashboard/res.py	Fri Jun 08 19:34:00 2012 +0200
+++ b/trytond/modules/dashboard/res.py	Mon Sep 24 20:36:40 2012 +0200
@@ -1,13 +1,16 @@
 #This file is part of Tryton.  The COPYRIGHT file at the top level of
 #this repository contains the full copyright notices and license terms.
-from trytond.model import Model, fields
+from trytond.model import fields
 from trytond.backend import TableHandler
 from trytond.transaction import Transaction
+from trytond.pool import PoolMeta
 
+__all__ = ['User']
+__metaclass__ = PoolMeta
 
-class User(Model):
-    _name = "res.user"
 
+class User:
+    __name__ = "res.user"
     dashboard_layout = fields.Selection([
         ('square', 'Square'),
         ('stack_right', 'Stack Right'),
@@ -18,22 +21,23 @@
     dashboard_actions = fields.One2Many('dashboard.action', 'user',
             'Dashboard Actions')
 
-    def __init__(self):
-        super(User, self).__init__()
-        self._preferences_fields += [
+    @classmethod
+    def __setup__(cls):
+        super(User, cls).__setup__()
+        cls._preferences_fields += [
             'dashboard_layout',
             'dashboard_actions',
-        ]
+            ]
 
-    def init(self, module_name):
-        super(User, self).init(module_name)
+    @classmethod
+    def __register__(cls, module_name):
+        super(User, cls).__register__(module_name)
         cursor = Transaction().cursor
-        table = TableHandler(cursor, self, module_name)
+        table = TableHandler(cursor, cls, module_name)
 
         # Migration from 1.6
         table.not_null_action('dashboard_layout', action='remove')
 
-    def default_dashboard_layout(self):
+    @staticmethod
+    def default_dashboard_layout():
         return 'square'
-
-User()
diff -r 52a09f859b60 trytond/modules/google_maps/__init__.py
--- a/trytond/modules/google_maps/__init__.py	Fri Jun 08 19:34:01 2012 +0200
+++ b/trytond/modules/google_maps/__init__.py	Mon Sep 24 20:36:41 2012 +0200
@@ -1,4 +1,11 @@
 #This file is part of Tryton.  The COPYRIGHT file at the top level of
 #this repository contains the full copyright notices and license terms.
 
+from trytond.pool import Pool
 from .address import *
+
+
+def register():
+    Pool.register(
+        Address,
+        module='google_maps', type_='model')
diff -r 52a09f859b60 trytond/modules/google_maps/address.py
--- a/trytond/modules/google_maps/address.py	Fri Jun 08 19:34:01 2012 +0200
+++ b/trytond/modules/google_maps/address.py	Mon Sep 24 20:36:41 2012 +0200
@@ -1,64 +1,38 @@
 #This file is part of Tryton.  The COPYRIGHT file at the top level of
 #this repository contains the full copyright notices and license terms.
 import urllib
-from trytond.model import ModelView, ModelSQL, fields
+from trytond.model import fields
 from trytond.transaction import Transaction
-from trytond.pool import Pool
+from trytond.pool import PoolMeta
 
+__all__ = ['Address']
+__metaclass__ = PoolMeta
 
-class Address(ModelSQL, ModelView):
-    _name = 'party.address'
+
+class Address:
+    __name__ = 'party.address'
 
     google_maps_url = fields.Function(fields.Char('Google Maps',
-        on_change_with=['street', 'streetbis', 'zip', 'city', 'country',
-            'subdivision']), 'get_google_maps_url')
+            on_change_with=['street', 'streetbis', 'zip', 'city', 'country',
+                'subdivision']), 'on_change_with_google_maps_url')
 
-    def _get_url(self, vals):
+    def on_change_with_google_maps_url(self, name=None):
         lang = Transaction().language[:2]
         url = ''
-        for i in ['street', 'streetbis', 'zip', 'city',
-                'country', 'subdivision']:
-            if vals.get(i):
-                if isinstance(vals[i], str):
-                    url += ' ' + vals[i].decode('utf-8')
+        for value in (
+                self.street,
+                self.streetbis,
+                self.zip,
+                self.city,
+                self.country.name if self.country else None,
+                self.subdivision.name if self.subdivision else None,
+                ):
+            if value:
+                if isinstance(value, str):
+                    url += ' ' + value.decode('utf-8')
                 else:
-                    url += ' ' + vals[i]
+                    url += ' ' + value
         if url.strip():
-            url = 'http://maps.google.com/maps?hl=%s&q=%s' % \
-                    (lang, urllib.quote(url.strip().encode('utf-8')))
-        else:
-            url = ''
-        return url
-
-    def on_change_with_google_maps_url(self, vals):
-        country_obj = Pool().get('country.country')
-        subdivision_obj = Pool().get('country.subdivision')
-
-        vals = vals.copy()
-
-        if vals.get('country'):
-            country = country_obj.browse(vals['country'])
-            vals['country'] = country.name
-
-        if vals.get('subdivision'):
-            subdivision = subdivision_obj.browse(vals['subdivision'])
-            vals['subdivision'] = subdivision.name
-
-        return self._get_url(vals)
-
-    def get_google_maps_url(self, ids, name):
-        res = {}
-        for address in self.browse(ids):
-            vals = {
-                'street': address.street,
-                'streetbis': address.streetbis,
-                'zip': address.zip,
-                'city': address.city,
-                'country': address.country and address.country.name or None,
-                'subdivision': address.subdivision and \
-                        address.subdivision.name or None,
-            }
-            res[address.id] = self._get_url(vals)
-        return res
-
-Address()
+            return 'http://maps.google.com/maps?hl=%s&q=%s' % \
+                (lang, urllib.quote(url.strip().encode('utf-8')))
+        return ''
diff -r 8eedb253678d trytond/modules/ldap_authentication/__init__.py
--- a/trytond/modules/ldap_authentication/__init__.py	Fri Jun 08 19:34:02 2012 +0200
+++ b/trytond/modules/ldap_authentication/__init__.py	Mon Sep 24 20:36:41 2012 +0200
@@ -1,5 +1,13 @@
 #This file is part of Tryton.  The COPYRIGHT file at the top level of
 #this repository contains the full copyright notices and license terms.
 
+from trytond.pool import Pool
 from .connection import *
 from .res import *
+
+
+def register():
+    Pool.register(
+        Connection,
+        User,
+        module='ldap_authentication', type_='model')
diff -r 8eedb253678d trytond/modules/ldap_authentication/connection.py
--- a/trytond/modules/ldap_authentication/connection.py	Fri Jun 08 19:34:02 2012 +0200
+++ b/trytond/modules/ldap_authentication/connection.py	Mon Sep 24 20:36:41 2012 +0200
@@ -1,10 +1,14 @@
 #This file is part of Tryton.  The COPYRIGHT file at the top level of
 #this repository contains the full copyright notices and license terms.
-from trytond.model import ModelView, ModelSQL, ModelSingleton, fields
+from trytond.model import fields
+from trytond.pool import PoolMeta
 
+__all__ = ['Connection']
+__metaclass__ = PoolMeta
 
-class Connection(ModelSingleton, ModelSQL, ModelView):
-    _name = 'ldap.connection'
+
+class Connection:
+    __name__ = 'ldap.connection'
 
     auth_uid = fields.Char('UID', help='UID Attribute for authentication',
             required=True)
@@ -19,13 +23,14 @@
     auth_create_user = fields.Boolean('Create User',
             help='Create user if not in database')
 
-    def default_auth_uid(self):
+    @staticmethod
+    def default_auth_uid():
         return 'uid'
 
-    def default_auth_scope(self):
+    @staticmethod
+    def default_auth_scope():
         return 'base'
 
-    def default_auth_create_user(self):
+    @staticmethod
+    def default_auth_create_user():
         return False
-
-Connection()
diff -r 8eedb253678d trytond/modules/ldap_authentication/res.py
--- a/trytond/modules/ldap_authentication/res.py	Fri Jun 08 19:34:02 2012 +0200
+++ b/trytond/modules/ldap_authentication/res.py	Mon Sep 24 20:36:41 2012 +0200
@@ -1,30 +1,30 @@
 #This file is part of Tryton.  The COPYRIGHT file at the top level of
 #this repository contains the full copyright notices and license terms.
 import ldap
-from trytond.model import ModelView, ModelSQL
 from trytond.transaction import Transaction
-from trytond.pool import Pool
+from trytond.pool import Pool, PoolMeta
 
+__all__ = ['User']
+__metaclass__ = PoolMeta
 
-class User(ModelSQL, ModelView):
-    _name = 'res.user'
 
-    def __init__(self):
-        super(User, self).__init__()
-        self._error_messages.update({
-            'set_passwd_ldap_user': \
+class User:
+    __name__ = 'res.user'
+
+    @classmethod
+    def __setup__(cls):
+        super(User, cls).__setup__()
+        cls._error_messages.update({
+                'set_passwd_ldap_user': \
                     'You can not set a password to a ldap user!',
-            })
+                })
 
-    def ldap_search_user(self, login, con, connection, attrs=None):
+    @staticmethod
+    def ldap_search_user(login, con, connection, attrs=None):
         '''
-        Return the resule of a ldap search for the login
-
-        :param login: the login
-        :param con: the ldap connection
-        :param connection: a BrowseRecord of ldap.connection
-        :param attrs: a list of attribute to return
-        :return: the ldap search result
+        Return the result of a ldap search for the login using the ldap
+        connection con based on connection.
+        The attributes values defined in attrs will be return.
         '''
         scope = {
             'base': ldap.SCOPE_BASE,
@@ -43,11 +43,11 @@
             result = [x for x in result if x[0]]
         return result
 
-    def _check_passwd_ldap_user(self, logins):
-        connection_obj = Pool().get('ldap.connection')
-        connection_ids = connection_obj.search([], limit=1)
+    @classmethod
+    def _check_passwd_ldap_user(cls, logins):
+        Connection = Pool().get('ldap.connection')
         with Transaction().set_user(0):
-            connection = connection_obj.browse(connection_ids[0])
+            connection, = Connection.search([], limit=1)
         find = False
         try:
             con = ldap.initialize(connection.uri)
@@ -58,35 +58,33 @@
             if connection.bind_dn:
                 con.simple_bind_s(connection.bind_dn, connection.bind_pass)
             for login in logins:
-                if self.ldap_search_user(login,
+                if cls.ldap_search_user(login,
                         con, connection, attrs=[]):
                     find = True
         except Exception:
             pass
         if find:
-            self.raise_user_error('set_passwd_ldap_user')
+            cls.raise_user_error('set_passwd_ldap_user')
 
-    def create(self, vals):
-        if vals.get('password') and 'login' in vals:
-            self._check_passwd_ldap_user([vals['login']])
-        return super(User, self).create(vals)
+    @classmethod
+    def create(cls, values):
+        if values.get('password') and 'login' in values:
+            cls._check_passwd_ldap_user([values['login']])
+        return super(User, cls).create(values)
 
-    def write(self, ids, vals):
-        if vals.get('password'):
-            if isinstance(ids, (int, long)):
-                ids2 = [ids]
-            else:
-                ids2 = ids
-            logins = [x.login for x in self.browse(ids2)]
-            self._check_passwd_ldap_user(logins)
-        return super(User, self).write(ids, vals)
+    @classmethod
+    def write(cls, users, values):
+        if values.get('password'):
+            logins = [x.login for x in users]
+            cls._check_passwd_ldap_user(logins)
+        super(User, cls).write(users, values)
 
-    def set_preferences(self, values, old_password=False):
-        connection_obj = Pool().get('ldap.connection')
+    @classmethod
+    def set_preferences(cls, values, old_password=False):
+        Connection = Pool().get('ldap.connection')
         if 'password' in values:
-            connection_ids = connection_obj.search([], limit=1)
             with Transaction().set_user(0):
-                connection = connection_obj.browse(connection_ids[0])
+                connection, = Connection.search([], limit=1)
             try:
                 con = ldap.initialize(connection.uri)
                 if connection.active_directory:
@@ -95,25 +93,24 @@
                     con.start_tls_s()
                 if connection.bind_dn:
                     con.simple_bind_s(connection.bind_dn, connection.bind_pass)
-                user = self.browse(Transaction().user)
-                [(dn, attrs)] = self.ldap_search_user(user.login, con,
-                        connection, attrs=[str(connection.auth_uid)])
+                user = cls(Transaction().user)
+                [(dn, attrs)] = cls.ldap_search_user(user.login, con,
+                    connection, attrs=[str(connection.auth_uid)])
                 if con.simple_bind_s(dn, old_password):
                     con.passwd_s(dn, old_password, values['password'])
                     values = values.copy()
                     del values['password']
                 else:
-                    self.raise_user_error('wrong_password')
+                    cls.raise_user_error('wrong_password')
             except Exception:
                 pass
-        return super(User, self).set_preferences(values,
-                old_password=old_password)
+        super(User, cls).set_preferences(values, old_password=old_password)
 
-    def get_login(self, login, password):
-        connection_obj = Pool().get('ldap.connection')
-        connection_ids = connection_obj.search([], limit=1)
+    @classmethod
+    def get_login(cls, login, password):
+        Connection = Pool().get('ldap.connection')
         with Transaction().set_user(0):
-            connection = connection_obj.browse(connection_ids[0])
+            connection, = Connection.search([], limit=1)
         try:
             con = ldap.initialize(connection.uri)
             if connection.active_directory:
@@ -122,21 +119,19 @@
                 con.start_tls_s()
             if connection.bind_dn:
                 con.simple_bind_s(connection.bind_dn, connection.bind_pass)
-            [(dn, attrs)] = self.ldap_search_user(login, con, connection,
-                    attrs=[str(connection.auth_uid)])
+            [(dn, attrs)] = cls.ldap_search_user(login, con, connection,
+                attrs=[str(connection.auth_uid)])
             if password and con.simple_bind_s(dn, password):
-                user_id, _, _ = self._get_login(login)
+                user_id, _, _ = cls._get_login(login)
                 if user_id:
                     return user_id
                 elif connection.auth_create_user:
-                    user_id = self.create({
-                        'name': attrs.get(str(connection.auth_uid),
+                    user = cls.create({
+                            'name': attrs.get(str(connection.auth_uid),
                                 [login])[0],
-                        'login': login,
-                        })
-                    return user_id
+                            'login': login,
+                            })
+                    return user.id
         except Exception:
             pass
-        return super(User, self).get_login(login, password)
-
-User()
+        return super(User, cls).get_login(login, password)
diff -r f4b665cac283 trytond/modules/ldap_connection/__init__.py
--- a/trytond/modules/ldap_connection/__init__.py	Mon Sep 10 15:28:10 2012 +0200
+++ b/trytond/modules/ldap_connection/__init__.py	Mon Sep 24 20:36:41 2012 +0200
@@ -1,4 +1,15 @@
 #This file is part of Tryton.  The COPYRIGHT file at the top level of
 #this repository contains the full copyright notices and license terms.
 
+from trytond.pool import Pool
 from .connection import *
+
+
+def register():
+    Pool.register(
+        Connection,
+        TestConnectionResult,
+        module='ldap_connection', type_='model')
+    Pool.register(
+        TestConnection,
+        module='ldap_connection', type_='wizard')
diff -r f4b665cac283 trytond/modules/ldap_connection/connection.py
--- a/trytond/modules/ldap_connection/connection.py	Mon Sep 10 15:28:10 2012 +0200
+++ b/trytond/modules/ldap_connection/connection.py	Mon Sep 24 20:36:41 2012 +0200
@@ -7,13 +7,13 @@
 from trytond.pool import Pool
 from trytond.transaction import Transaction
 
+__all__ = ['Connection', 'TestConnectionResult', 'TestConnection']
+
 
 class Connection(ModelSingleton, ModelSQL, ModelView):
     "LDAP Connection"
-    _description = __doc__
-    _name = 'ldap.connection'
+    __name__ = 'ldap.connection'
     _rec_name = 'server'
-
     server = fields.Char('Server', required=True, help='LDAP server name')
     port = fields.Integer('Port', required=True, help='LDAP server port')
     secure = fields.Selection([
@@ -31,74 +31,68 @@
     uri = fields.Function(fields.Char('URI'), 'get_uri')
     active_directory = fields.Boolean('Active Directory')
 
-    def __init__(self):
-        super(Connection, self).__init__()
-        self._buttons.update({
+    @classmethod
+    def __setup__(cls):
+        super(Connection, cls).__setup__()
+        cls._buttons.update({
                 'test_connection': {},
                 })
 
-    def default_port(self):
+    @staticmethod
+    def default_port():
         return 389
 
-    def default_secure(self):
+    @staticmethod
+    def default_secure():
         return 'never'
 
-    def default_active_directory(self):
+    @staticmethod
+    def default_active_directory():
         return False
 
-    def on_change_secure(self, values):
+    def on_change_secure(self):
         res = {}
-        if values.get('secure') in ('never', 'tls'):
+        if self.secure in ('never', 'tls'):
             res['port'] = self.default_port()
-        elif values.get('secure') == 'ssl':
+        elif self.secure == 'ssl':
             res['port'] = 636
         return res
 
-    def get_uri(self, ids, name):
-        res = {}
-        for connection in self.browse(ids):
-            res[connection.id] = \
-                    (connection.secure == 'ssl' and 'ldaps' or 'ldap') + \
-                    '://%s:%s/' % (connection.server, connection.port)
-        return res
+    def get_uri(self, name):
+        return ((self.secure == 'ssl' and 'ldaps' or 'ldap') +
+            '://%s:%s/' % (self.server, self.port))
 
+    @classmethod
     @ModelView.button_action('ldap_connection.wizard_test_connection')
-    def test_connection(self, ids):
+    def test_connection(cls, connections):
         pass
 
-    def write(self, ids, values):
+    @classmethod
+    def write(cls, connections, values):
         if 'bind_dn' in values and not values['bind_dn']:
             values = values.copy()
             values['bind_pass'] = None
-        return super(Connection, self).write(ids, values)
-
-Connection()
+        return super(Connection, cls).write(connections, values)
 
 
 class TestConnectionResult(ModelView):
     'Test Connection'
-    _description = __doc__
-    _name = 'ldap.test_connection.result'
-
-TestConnectionResult()
+    __name__ = 'ldap.test_connection.result'
 
 
 class TestConnection(Wizard):
     "Test LDAP Connection"
-    _description = __doc__
-    _name = 'ldap.test_connection'
+    __name__ = 'ldap.test_connection'
     start_state = 'test'
-
     test = StateTransition()
     result = StateView('ldap.test_connection.result',
         'ldap_connection.test_connection_result_form', [
             Button('Close', 'end', 'tryton-close'),
             ])
 
-    def transition_test(self, session):
-        connection_obj = Pool().get('ldap.connection')
-        connection_id = Transaction().context.get('active_id')
-        connection = connection_obj.browse(connection_id)
+    def transition_test(self):
+        Connection = Pool().get('ldap.connection')
+        connection = Connection(Transaction().context.get('active_id'))
         con = ldap.initialize(connection.uri)
         if connection.secure == 'tls':
             con.start_tls_s()
@@ -107,5 +101,3 @@
         else:
             con.simple_bind_s()
         return 'result'
-
-TestConnection()
diff -r f0d5fbea32c2 trytond/modules/party/__init__.py
--- a/trytond/modules/party/__init__.py	Wed Sep 19 22:20:38 2012 +0200
+++ b/trytond/modules/party/__init__.py	Mon Sep 24 20:36:41 2012 +0200
@@ -1,8 +1,25 @@
 #This file is part of Tryton.  The COPYRIGHT file at the top level of
 #this repository contains the full copyright notices and license terms.
 
+from trytond.pool import Pool
 from .category import *
 from .party import *
 from .address import *
 from .contact_mechanism import *
 from .configuration import *
+
+
+def register():
+    Pool.register(
+        Category,
+        Party,
+        PartyCategory,
+        CheckVIESResult,
+        CheckVIESNoResult,
+        Address,
+        ContactMechanism,
+        Configuration,
+        module='party', type_='model')
+    Pool.register(
+        CheckVIES,
+        module='party', type_='wizard')
